Subject: bug#75275: 30.0.92; `make-thread` bug on macOS 15.2

From: Alan Third <[email-masked]>
Date: Thu, 2 Jan 2025 17:42:55 +0000

On Thu, Jan 02, 2025 at 06:25:46PM +0100, Gerd Möllmann wrote:
> Eli Zaretskii <[email-masked]> writes:
> 
> > Your change included 2 hunks, and the suggestion is to revert only
> > one of them.  My question is whether this is likely to reintroduce
> > some regression.
> 
> Not that I know of. It restores things to what they were before,
> prevents calling NSApplication::run from being called for non main
> threads, and the first hunk should still work as before. But note that
> Alan thinks differently.

Sorry, if Gerd's sure then I expect I'm misremembering how it worked.

Please ignore me.
-- 
Alan Third